﻿using System;
using System.Collections.Generic;
using System.Text;

namespace LicenseKeys
{
    /// <summary>
    /// Demo application license key strings. 
    /// These can be used as parameters to Arction component constructors. 
    /// The keys can be extracted from Arction License Manager program as "embedded license keys".
    /// </summary>
    public static class LicenseKeyStrings
    {
        /// <summary>
        /// LightningChartUltimate Trial license key.
        /// </summary>
        public const string LightningChartUltimate = 
"Y3PT77S2RQRCKU6M6PR2EQ7XKJEHMSG9WHAZUQAHZLWY7RTFYU74CP6UT9DGB7AFJVTJB35PML8RWY4HBGAVHL9NP9WEGRVU2R9FF5JXWVQZMJ9T4TZMLYK65EX9WCSSVSFRTZKVUJCVKHJPJFVYXD75XVDUMJSFK2ZKJHLLRGS9J9B4M6W2";

        /// <summary>
        /// SignalReader Trial license key
        /// </summary>
        public const string SignalReader = "Y3PT77S2RQRCKU6M6PR2EQ7XKJEHMSG9WHAZUQAHZLWY7RTFYU74CP6UT9DGB7AFTLGSGDGAARHWM7GPMUEH93YAWV9C8T5C7TPCTJHDB2R4B5R8VRUL2N2EP8D2F9GBNPQUTE8K2V4AQGRK93ZVYM6WM3";

        /// <summary>
        /// ChartManager Trial license key
        /// </summary>
        public const string ChartManager = "Y3PT77S2RQRCKU6M6PR2EQ7XKJEHMSG9WHAZUQAHZLWY7RTFYU74CP6UT9DGB7AF8YQU6MBUBS87UE8KGBQRJNHQLUSS7K82ENGVKQTVJQ3Q9QUMVLFYYB4T5T8EMUR65X7KSGQ7JVCX7WNXCVXBPBLXC8";

        /// <summary>
        /// SignalGenerator Trial license key
        /// </summary>
        public const string SignalGenerator = "Y3PT77S2RQRCKU6M6PR2EQ7XKJEHMSG9WHAZUQAHZLWY7RTFYU74CP6UT9DGB7AFTLGSGDGAARHWM7BBDBT2S228LQHCE4MRYSUMWNWKKFDVLPCWMTY9W3DSPHHXVRZ6TRFYNNGQF65XM4SLM7ENRZ723FCJH7XDNC8S573";


        /// <summary>
        /// SpectrumCalculator Trial license key
        /// </summary>
        public const string SpectrumCalculator = "Y3PT77S2RQRCKU6M6PR2EQ7XKJEHMSG9WHAZUQAHZLWY7RTFYU74CP6UT9DGB7AFG2JWDAEFBZJEH8T2JZKMVT6QBNY2S9ADHF4P2AS8SF8RXBBNEQ7K5S6BUWGV4VXHHVNJVMHKJJSQP4Y9JNWADMXNBZLP5B39JVLW2B3";

	/// <summary>
        /// WeatherBug GEO Key (for LightningChart DemoApplication use only)
        /// </summary>
	public const string WeatherBugGEO = "4th7dtfzpcvcnnu88dg7gqyp";

    }
}
